package com.patzn.lims.res.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.res.entity.LmsSupplierDetail;

import java.util.List;

/**
 * <p>
 * 供应商详情表 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-08-28
 */
public interface ILmsSupplierDetailService extends IBaseService<LmsSupplierDetail> {


    Page<LmsSupplierDetail> page(Page<LmsSupplierDetail> page, LmsSupplierDetail lmsSupplierDetail);


    List<LmsSupplierDetail> list(LmsSupplierDetail lmsSupplierDetail);


    LmsSupplierDetail getBySupplierId(Long supplierId);


    boolean updateBySupplierId(LmsSupplierDetail lmsSupplierDetail);


    boolean removeBySupplierId(Long supplierId);
}
